// =====================================
// Определение класса WinApp
// =====================================

class WinApp
{
  MSG  msg;   // структура для работы с сообщениями
  int  errno; // флаг ошибки
  HINSTANCE hInstance;  // идентификатор приложения
  
public:
  // Конструктор
  WinApp(HINSTANCE, HINSTANCE, LPSTR, int);

  // Регистрация класса окна
  BOOL RegisterWndClass(LPSTR, WNDPROC);

  // Запуск цикла обработки сообщений
  WORD Go(void);

  // Проверка флага ошибок
  int  Error(void) { return errno; }
};
